Bug 1381951 (CVE-2016-7954) - CVE-2016-7954 rubygem-bundler: Code execution via gem name collision in bundler
Summary: CVE-2016-7954 rubygem-bundler: Code execution via gem name collision in bundler
Status: CLOSED WONTFIX
Alias: CVE-2016-7954
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161004,repor...
Keywords: Security
Depends On: 1381952 1381953
Blocks: 1381954
TreeView+ depends on / blocked
 
Reported: 2016-10-05 12:19 UTC by Andrej Nemec
Modified: 2019-06-08 21:29 UTC (History)
47 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-25 14:29:58 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-05 12:19:13 UTC
A vulnerability was found in Bundler. Bundler allows the user to specify sources from which Ruby gems are installed. If a secondary source is specified, even if scoped to a specific gem, that source is silently applied to all declared gems. This allows an attacker to introduce arbitrary code into an application via gem name collision on the secondary source, which will unexpectedly (and without warning) take priority over the primary source.

CVE request:

http://seclists.org/oss-sec/2016/q4/18

CVE assignment:

http://seclists.org/oss-sec/2016/q4/20

References:

http://seclists.org/oss-sec/2016/q4/25

Comment 1 Andrej Nemec 2016-10-05 12:20:15 UTC
Created rubygem-bundler tracking bugs for this issue:

Affects: fedora-all [bug 1381952]
Affects: epel-6 [bug 1381953]

Comment 3 Stefan Cornelius 2017-08-25 14:30:20 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.